## Start by setting the working directory ##

## read in the data from the text file, then "attach" it
Hc_data <- read.table("Hcdata.txt", header=T)
attach(Hc_data)

## compute the population mean of the plant heights
mu <- mean(h95[Hc_data$SA95==1 & Hc_data$h95<90])

## the following variable holds the maximum sample size
max_sample_size <- 500

## this vector will hold the mean calculated for each sample size
mean_vec <- rep(0, max_sample_size)

## Illustrate the law of large numbers by calculating means for all
## of the different samples from size n=1 to n=max_sample_size.

for (n in 1:max_sample_size) {

	## draw a random sample of length n from the plant height data
	values <- sample(h95[Hc_data$SA95==1 & Hc_data$h95<90], n)
	
	## calculate the sample mean and store it in the mean_vec
	mean_vec[n] <- mean(values)
					}

## finally, plot the sample mean vs. the sample size
plot(seq(1,max_sample_size), mean_vec, xlab="Sample size", ylab="Sample mean")

## draw a red horizontal line with a Y-intercept equal to mu
abline(h=mu, col="red")
## Do not forget to detach the data
detach(Hc_data)